> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecobalt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Visit Statuses

> Returns a list of available visit statuses.

### Example Request

```bash theme={null}
curl -X GET https://api.usecobalt.com/v1/visit-types \
-H 'Content-Type: application/json' \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH'
```

### Example Response

```json theme={null}
{
    "success": true,
    "data": [
        {
            "code": "CANC",
            "description": "Cancelled in advance"
        },
        {
            "code": "R/S",
            "description": "Rescheduled"
        }
    ]
}
```

<Note>
  This endpoint returns a list of all visit statuses configured for the account associated with the provided access token. Each status type includes a `code` and a `description`. The code can be used in our PATCH /appointments endpoint to update the status of an appointment.
</Note>


## OpenAPI

````yaml GET /visit-statuses
openapi: 3.0.0
info:
  title: Cobalt API
  version: 1.0.1
  description: API for interacting with Cobalt's EHR integration services
servers:
  - url: https://api.usecobalt.com/v1
security:
  - ClientCredentials: []
    ClientSecret: []
    AccessToken: []
paths:
  /visit-statuses:
    get:
      summary: Get Visit Statuses
      description: Returns a list of available visit statuses.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                        description:
                          type: string
components:
  securitySchemes:
    ClientCredentials:
      type: apiKey
      in: header
      name: client_id
    ClientSecret:
      type: apiKey
      in: header
      name: client_secret
    AccessToken:
      type: apiKey
      in: header
      name: access_token

````